%define name		mlterm
%define version	2.9.2
%define release	1mdk

%define majorkik		10
%define libnamekik		%mklibname kik %{majorkik}
%define libnamedevkik	%mklibname -d kik %{majorkik} 

%define majormkf		13
%define libnamemkf	%mklibname mkf %{majormkf}
%define libnamedevmkf	%mklibname -d mkf %{majormkf} 

Summary:	Multi Lingual TERMinal emulator for X
Name:		%{name}
Version:		%{version}
Release:		%{release}
License:		BSD style
Group:		Terminals
URL:			http://mlterm.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0: http://prdownloads.sourceforge.net/mlterm/mlterm-%{version}.tar.bz2
Patch0:		mlterm_font_config.diff.bz2
Patch1:		mlterm_main_config.diff.bz2
# we need to versionate the two following requires b/c of missing major changes:
Requires:			%libnamekik = %{version}
Requires:			%libnamemkf = %{version}
Requires:			libgtk+2.0_0
BuildRequires:		fribidi-devel, gtk2-devel, gtk-devel
BuildRequires:		ImageMagick

%description
mlterm is a multi-lingual terminal emulator written from
scratch, which supports various character sets and encodings
in the world.  It also supports various unique feature such as
anti-alias using FreeType, multiple windows, scrollbar API,
scroll by mouse wheel, automatic selection of encoding,
and so on. Multiple xims are also supported. 
You can dynamically change various xims.
NOTE: mlterm has good config tools.
Press Ctrl + right click or Ctrl + left click to run them.


%package -n	%libnamekik
Group:		System/Libraries
Summary:	Uitlity Library for Multi Lingual TERMinal

%description -n %libnamekik
This library is necessary for Multi Lingual TERMinal. It contains
various utility functions for mlterm.

%package -n	%libnamemkf
Group:		System/Libraries
Summary:	Mlterm Library for Handling Various Character Encodings

%description -n %libnamemkf
This library is necessary for Multi Lingual TERMinal. It contains
routines for handling various character sets.


%prep
%setup -q
%patch0 -p0
%patch1 -p0

find -name CVS -type d | xargs -r rm -rf

%build
%configure \
	--bindir=%{_prefix}/X11R6/bin \
	--enable-fribidi \
	--with-imagelib=gdk-pixbuf \
	--enable-anti-alias \
	--with-scrollbars=sample,extra,pixmap_engine \
	--enable-optimize-redrawing \
	--with-tools

# temporary hack until xft cflags is fixed
find -name 'Makefile' -type f | xargs grep '/usr/X11R6/include/freetype2' | cut -d: -f1 | xargs -r perl -pi -e 's#/usr/X11R6/include/freetype2#/usr/include/freetype2#g'

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# install terminfo
tic -o $RPM_BUILD_ROOT/%{_datadir}/terminfo/ doc/term/mlterm.ti

# install menu entry.
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << _EOF_ > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
  needs="X11" \
  section="System/Terminals" \
  title="Mlterm" \
  longtitle="A multi-lingual terminal emulator" \
  command="/usr/X11R6/bin/mlterm" \
  icon="%{name}.png"
_EOF_

#install icons.
mkdir -p $RPM_BUILD_ROOT%{_liconsdir} \
         $RPM_BUILD_ROOT%{_iconsdir} \
         $RPM_BUILD_ROOT%{_miconsdir} \

convert doc/icon/mlterm_16x16.xpm $RPM_BUILD_ROOT/%{_miconsdir}/mlterm.png
convert doc/icon/mlterm_32x32.xpm $RPM_BUILD_ROOT/%{_iconsdir}/mlterm.png
convert doc/icon/mlterm_48x48.xpm $RPM_BUILD_ROOT/%{_liconsdir}/mlterm.png

# remove unnecessary files
rm -f $RPM_BUILD_ROOT%{_libdir}/libkik.{so,la,a} \
      $RPM_BUILD_ROOT%{_libdir}/libmkf.{so,la,a} \
      $RPM_BUILD_ROOT%{_libexecdir}/%{name}/lib*.a \
      $RPM_BUILD_ROOT%{_libexecdir}/%{name}/lib*.la

%find_lang mlconfig

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%update_menus

%post -n %libnamekik -p /sbin/ldconfig
%postun -n %libnamekik -p /sbin/ldconfig

%post -n %libnamemkf -p /sbin/ldconfig
%postun -n %libnamemkf -p /sbin/ldconfig


%files -f mlconfig.lang
%defattr(-,root,root)
%doc ChangeLog LICENCE README doc/{en,ja}
%config(noreplace) %{_sysconfdir}/mlterm/
%{_prefix}/X11R6/bin/*
%{_libexecdir}/mlconfig
%{_libexecdir}/mlterm-menu
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/terminfo/m/mlterm
%{_mandir}/man1/*

%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%files -n %libnamekik
%defattr(-,root,root)
%_libdir/libkik*.so.*

%files -n %libnamemkf
%defattr(-,root,root)
%_libdir/libmkf*.so.*


%changelog
* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.9.2-1mdk
- fix build with new rpm
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o new release
  o update font config (patch0) for new sung (a new chinese font)
  o fix requires (mlterm needs libkik and libmkf)

* Wed Dec 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.9.1-2.cvs20041229.1mdk
- latest snapshot
- remove --enable-uim (unstable)
- update patch0, patch1

* Tue Nov 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.9.1-1mdk
- bump major
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o new release
  o add '# install terminfo'
  o update patch11 (fix font settings)

* Wed Sep 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.8.0-2.cvs20040929.1mdk
- cvs20040929
- add patch11
- add --enable-uim
- modify %description

* Tue Jun 29 2004 Abel Cheung <deaddog@deaddog.org> 2.8.0-1mdk
- New version
- Build with bidi support
- Eliminate bogus devel packages, no other software ever links
  with the libraries, and devel files are just created as a
  libtool side effect
- P0: 2.8.0 patch level 1
- P10: Eliminate rpath from binaries

* Thu Jun 03 2004 Michael Scherer <misc@mandrake.org> 2.7.0-3mdk 
- rebuild for new libintl
- quiet setup
- use mklibname

* Wed Feb 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.7.0-2mdk
- fix DIRM

* Wed Aug 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.7.0-1mdk
- 2.7.0
- split

* Sun Mar 24 2002 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.3.1-1mdk
- First version for Linux-Mandrake.
